<?php
/**
 * @package         FireBox
 * @version         1.0.9 Free
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}
$box = $this->data->get('box', []);
$box = new \FPFramework\Libs\Registry($box);

$custom_code = $box->get('params.data.customcode', '');
if (is_string($custom_code))
{
	$custom_code = stripslashes($custom_code);
	$custom_code = html_entity_decode($custom_code);
}

$close_button = (int) $box->get('params.data.closebutton.show', '');

$rtl = (int) $box->get('params.data.rtl', 0);
?>
<div data-id="<?php echo esc_attr($box->get('ID')); ?>" 
	class="fb-inst fb-hide <?php echo esc_attr(implode(' ', (array) $box->get('classes'))); ?>"
	data-options='<?php echo json_encode($box->get('settings')) ?>'
	data-type='<?php echo esc_attr($box->get('params.data.mode')); ?>'
	<?php if (!empty($box->get('styles_container'))) { ?>style="<?php echo esc_attr($box->get('styles_container')); ?>"<?php } ?>
	<?php if ($rtl == 1) { ?>dir="rtl"<?php } ?>>

	<?php if ($close_button == 2) { firebox()->renderer->public->render('closebutton', ['box' => $this->data->get('box', [])]); } ?>

	<div class="fb-dialog <?php echo esc_attr(implode(' ', (array) $box->get('dialog_classes', []))); ?>" style="<?php echo esc_attr($box->get('style')); ?>" role="dialog" tabindex="-1">
		
		<?php if ($close_button == 1) { firebox()->renderer->public->render('closebutton', ['box' => $this->data->get('box', [])]); } ?>

		<div class="fb-container">
			<div class="fb-content">
				<?php
					echo $box->get('post_content');
				?>
			</div>
		</div>
		<?php if (!empty($custom_code)): ?>
		<script type="text/javascript" class="fb-<?php echo esc_attr($box->get('ID')); ?>-custom-code"><?php echo $custom_code; ?></script>
		<?php endif; ?>
	</div>
</div>