<?php
/**
 * @package         FireBox
 * @version         1.0.9 Free
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FireBox\Core;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

class Widgets
{
	/**
	 * All Plugin Widgets
	 * 
	 * @return  array
	 */
	const widgets = [
		'FireBoxButton'
	];
	
    public function __construct()
    {
		// register widgets
		add_action('widgets_init', [$this, 'registerAllWidgets']);
	}
	
	/**
	 * Registers all widgets
	 * 
	 * @return  void
	 */
	public function registerAllWidgets()
	{
		foreach (self::widgets as $widget)
		{
			$name = '\FireBox\Core\Widgets\\' . $widget;
			register_widget($name);
		}
	}
}