<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.20
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FPFramework\Base\Assignments;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

use FPFramework\Base\Assignments\Urlbase;

class Url extends Urlbase
{
   	/**
   	 *  Pass URL. 
   	 *
   	 *  @return  bool   Returns true if the current URL contains any of the selection URLs 
   	 */
   	public function pass()
   	{
		return $this->passURL();
    }

    /**
     *  Returns the assignment's value
     * 
     *  @return string Current URL
     */
	public function value()
	{
		return $this->factory->getURL();
	}
}
