<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.20
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}
$categories = $this->data->get('categories');
$license_type = $this->data->get('license_type');
?>
<!-- Library Toolbar -->
<div class="ts-toolbar">
    <!-- Left -->
    <div class="tb-left">
        <div class="cat-selector">
            <div class="cf-select">
                <select name="cat" id="fpf_select_category" data-search="true">
                    <?php
                    foreach ($categories as $key => $value)
                    {
                        $key = ($key == 'all') ? '' : $key;
                        ?><option value="<?php echo esc_attr($key); ?>"><?php echo esc_html(fpframework()->_($value)); ?></option><?php
                    }
                    ?>
                </select>
            </div>
        </div>
        <div class="my-favorites">
            <a href="#" class="favorite_icon search_favorite">
                <span class="up dashicons dashicons-heart"></span>
                <span class="active dashicons dashicons-heart"></span>
                <?php echo esc_html(fpframework()->_('FPF_MY_FAVORITES')); ?>
            </a>
        </div>
        <?php if ($license_type == 'free'): ?>
        <div class="pro_templates_toggle">
            <?php echo \FPFramework\Helpers\HTML::renderFPToggle([
                'name' => 'library_pro_templates_toggle',
                'name_clean' => true,
                'input_class' => ['library_pro_templates_toggle']
            ]); ?>
            <?php echo esc_html(fpframework()->_('FPF_HIDE_PRO_TEMPLATES')); ?>
        </div>
        <?php endif; ?>
    </div>
    <!-- /Left -->
    <!-- Right -->
    <div class="tb-right">
        <div class="ts-search">
            <input type="search" id="fpf_search_template" data-search="true" placeholder="<?php echo esc_attr(fpframework()->_('FPF_SEARCH')); ?>" name="ts-search">
            <span class="dashicons dashicons-search"></span>
        </div>
    </div>
    <!-- /Right -->
</div>
<!-- /Library Toolbar -->